<?php
	/**************************************************************************\
	* phpGroupWare - Todo                                                      *
	* http://www.phpgroupware.org                                              *
	* --------------------------------------------                             *
	*  This program is free software; you can redistribute it and/or modify it *
	*  under the terms of the GNU General Public License as published by the   *
	*  Free Software Foundation; either version 2 of the License, or (at your  *
	*  option) any later version.                                              *
	\**************************************************************************/

	/* $Id: setup.inc.php,v 1.13.2.3.2.2 2003/09/13 23:50:39 skwashd Exp $ */

	$setup_info['todo']['name']      = 'todo';
	$setup_info['todo']['title']     = 'To Do List';
	$setup_info['todo']['version']   = '0.9.14.500';
	$setup_info['todo']['app_order'] = 9;
	$setup_info['todo']['tables']    = array('phpgw_todo');
	$setup_info['todo']['enable']    = 1;

	/* The hooks this app includes, needed for hooks registration */
	$setup_info['todo']['hooks'][] = 'about';
	$setup_info['todo']['hooks'][] = 'admin';
	$setup_info['todo']['hooks'][] = 'deleteaccount';
	$setup_info['todo']['hooks'][] = 'manual';
	$setup_info['todo']['hooks'][] = 'preferences';
	$setup_info['todo']['hooks'][] = 'home';

	/* Dependacies for this app to work */
	$setup_info['todo']['depends'][] = array(
		 'appname' => 'phpgwapi',
		 'versions' => Array('0.9.13','0.9.14', '0.9.16')
	);

	$setup_info['todo']['depends'][] = array(
		 'appname' => 'admin',
		 'versions' => Array('0.9.13','0.9.14', '0.9.16')
	);

	$setup_info['todo']['depends'][] = array(
		 'appname' => 'preferences',
		 'versions' => Array('0.9.13','0.9.14', '0.9.16')
	);
?>
