<?php
	/**************************************************************************\
	* phpGroupWare - Trouble Ticket System                                     *
	* http://www.phpgroupware.org                                              *
	* --------------------------------------------                             *
	*  This program is free software; you can redistribute it and/or modify it *
	*  under the terms of the GNU General Public License as published by the   *
	*  Free Software Foundation; either version 2 of the License, or (at your  *
	*  option) any later version.                                              *
	\**************************************************************************/

	// $Id: newticket.php,v 1.31.2.3.4.1 2003/10/31 07:06:58 skwashd Exp $
	// $Source: /cvsroot/phpgroupware/tts/newticket.php,v $

	$submit = $_POST['submit'];
	$cancel = $_POST['cancel'];
	if($submit || $cancel)
	{
		$GLOBALS['phpgw_info']['flags'] = array(
			'noheader' => True,
			'nonavbar' => True
		);
	}

	$GLOBALS['phpgw_info']['flags']['currentapp']          = 'tts';
	$GLOBALS['phpgw_info']['flags']['enable_send_class']   = True;
	$GLOBALS['phpgw_info']['flags']['enable_config_class'] = True;
	$GLOBALS['phpgw_info']['flags']['enable_categories_class'] = True;
	$GLOBALS['phpgw_info']['flags']['enable_vfs_class'] = True;

	include('../header.inc.php');
 
	$GLOBALS['phpgw']->config->read_repository();

	if($cancel)
	{
		$GLOBALS['phpgw']->redirect($GLOBALS['phpgw']->link('/tts/index.php'));
	}

	if($submit)
	{	
		//File-Upload
		if ($HTTP_POST_FILES['attachment']['name'] != '')
		{
			//Check if home/groupdirectory exists. If not, we create it
			if (!file_exists($GLOBALS['basedir'] . "/home/tts"))
			{
				$GLOBALS['phpgw']->vfs->mkdir (array (
						'string' => $GLOBALS['basedir'] . "/home/tts",
						'relatives' => array (RELATIVE_ALL)));
			}			
			
			$tid = $ticket_id = $phpgw->db->get_last_insert_id('phpgw_tts_tickets','ticket_id');
			$attdir = "home/tts/t" . $tid;			

			$GLOBALS['phpgw']->vfs->mkdir (array (
						'string' => $attdir,
						'relatives' => array (RELATIVE_ALL)));
		
			$GLOBALS['phpgw']->vfs->cp(array (
						'from'	=> $HTTP_POST_FILES['attachment']['tmp_name'],
						'to'	=> $attdir . '/' . $HTTP_POST_FILES['attachment']['name'],
						'relatives'	=> array (RELATIVE_NONE|VFS_REAL, RELATIVE_ALL)));
			
			$GLOBALS['phpgw']->db->query("SELECT max(file_id) from phpgw_vfs",__LINE__,__FILE__);
			$GLOBALS['phpgw']->db->next_record();
			$file_id = $GLOBALS['phpgw']->db->f('max(file_id)');
		}
			
		$GLOBALS['phpgw']->db->query("insert into phpgw_tts_tickets (ticket_group,ticket_priority,ticket_owner,"
			. "ticket_assignedto,ticket_subject,ticket_category,ticket_billable_hours,"
			. "ticket_billable_rate,ticket_status,ticket_deadline,ticket_effort,ticket_type,ticket_platform,ticket_attachment,ticket_details) values ('"
                        . $_POST['ticket']['group'] . "','"
			. $_POST['ticket']['priority'] . "','"
			. $GLOBALS['phpgw_info']['user']['account_id'] . "','"
			. $_POST['ticket']['assignedto'] . "','"
			. $_POST['ticket']['subject'] . "','"
			. $_POST['ticket']['category'] . "','"
			. $_POST['ticket']['billable_hours'] . "','"
			. $_POST['ticket']['billable_rate'] . "','O','"
			. $_POST['ticket']['deadline']['year'] . "-" . $_POST['ticket']['deadline']['month'] . "-" . $_POST['ticket']['deadline']['day'] . "','"
			. $_POST['ticket']['effort'] . "','"
			. $_POST['ticket']['type'] . "','"
			. $_POST['ticket']['platform'] . "','"
			. $file_id . "','"
			. addslashes($ticket['details']) . "')",__LINE__,__FILE__);

		$ticket_id = $GLOBALS['phpgw']->db->get_last_insert_id('phpgw_tts_tickets','ticket_id');

		$historylog = createobject('phpgwapi.historylog','tts');
		$historylog->add('O',$ticket_id,' ','');

		if($GLOBALS['phpgw']->config->config_data['mailnotification'])
		{
			mail_ticket($ticket_id);
		}

		$GLOBALS['phpgw']->redirect($GLOBALS['phpgw']->link('/tts/viewticket_details.php','&ticket_id=' . $ticket_id));
	}

	$account_selected  = array();
	$entry_selected    = array();
	$priority_selected = array();
	$priority_comment  = array();

	if(!$submit)
	{
		$GLOBALS['phpgw']->preferences->read_repository();
		if($GLOBALS['phpgw_info']['user']['preferences']['tts']['groupdefault'])
		{
			$entry_selected[$GLOBALS['phpgw_info']['user']['preferences']['tts']['groupdefault']] = ' selected';
		}

		if($GLOBALS['phpgw_info']['user']['preferences']['tts']['assigntodefault'])
		{
			$account_selected[$GLOBALS['phpgw_info']['user']['preferences']['tts']['assigntodefault']] = ' selected';
		}

		if($GLOBALS['phpgw_info']['user']['preferences']['tts']['prioritydefault'])
		{
			$priority_selected[$GLOBALS['phpgw_info']['user']['preferences']['tts']['prioritydefault']] = ' selected';
		}

		$GLOBALS['phpgw']->template->set_file(array(
			'newticket'   => 'newticket.tpl'
		));
		$GLOBALS['phpgw']->template->set_block('newticket','options_select');
		$GLOBALS['phpgw']->template->set_block('newticket','form');

		$GLOBALS['phpgw']->template->set_var('lang_create_new_ticket',lang('Create new ticket'));
		$GLOBALS['phpgw']->template->set_var('form_action', $GLOBALS['phpgw']->link('/tts/newticket.php'));

		$GLOBALS['phpgw']->template->set_var('lang_category',lang('Category'));
		$GLOBALS['phpgw']->template->set_var('lang_group', lang('Group'));
		$GLOBALS['phpgw']->template->set_var('lang_subject', lang('Subject') );
		$GLOBALS['phpgw']->template->set_var('lang_nosubject', lang('No subject'));
		$GLOBALS['phpgw']->template->set_var('lang_details', lang('Details'));
		$GLOBALS['phpgw']->template->set_var('lang_priority', lang('Priority'));
		$GLOBALS['phpgw']->template->set_var('lang_lowest', lang('Lowest'));
		$GLOBALS['phpgw']->template->set_var('lang_medium', lang('Medium'));
		$GLOBALS['phpgw']->template->set_var('lang_highest', lang('Highest'));
		$GLOBALS['phpgw']->template->set_var('lang_addticket', lang('Add Ticket'));
		$GLOBALS['phpgw']->template->set_var('lang_clearform', lang('Clear Form'));
		$GLOBALS['phpgw']->template->set_var('lang_assignedto',lang('Assign to'));
		$GLOBALS['phpgw']->template->set_var('lang_submit',lang('Submit'));
		$GLOBALS['phpgw']->template->set_var('lang_cancel',lang('Cancel'));

		$GLOBALS['phpgw']->template->set_var('lang_billable_hours',lang('Billable hours'));
		$GLOBALS['phpgw']->template->set_var('lang_billable_hours_rate',lang('Billable hours rate'));

		$GLOBALS['phpgw']->template->set_var('row_off', $GLOBALS['phpgw_info']['theme']['row_off']);
		$GLOBALS['phpgw']->template->set_var('row_on', $GLOBALS['phpgw_info']['theme']['row_on']);
		$GLOBALS['phpgw']->template->set_var('th_bg', $GLOBALS['phpgw_info']['theme']['th_bg']);

		$GLOBALS['phpgw']->template->set_var('value_details',$ticket['details']);
		$GLOBALS['phpgw']->template->set_var('value_subject',$ticket['details']);
		$GLOBALS['phpgw']->template->set_var('value_billable_hours',($ticket['billable_hours']?$ticket['billable_hours']:'0.00'));
		$GLOBALS['phpgw']->template->set_var('value_billable_hours_rate',($ticket['billable_rate']?$ticket['billable_rate']:'0.00'));
		$GLOBALS['phpgw']->template->set_var('currency',$GLOBALS['phpgw_info']['user']['preferences']['common']['currency']);

		$GLOBALS['phpgw']->template->set_var('lang_type',lang('Type'));
		$GLOBALS['phpgw']->template->set_var('lang_deadline',lang('Deadline'));
		$GLOBALS['phpgw']->template->set_var('lang_effort',lang('Effort'));
		$GLOBALS['phpgw']->template->set_var('lang_platform',lang('Platform'));
		$GLOBALS['phpgw']->template->set_var('lang_attachment',lang('Attachment'));
		
		unset($s);
		$groups = CreateObject('phpgwapi.accounts');
		$group_list = array();
		$group_list = $GLOBALS['phpgw']->accounts->membership($GLOBALS['phpgw_info']['user']['account_id']);

		while(list($key,$entry) = each($group_list))
		{
			$GLOBALS['phpgw']->template->set_var('optionname', $entry['account_name']);
			$GLOBALS['phpgw']->template->set_var('optionvalue', $entry['account_id']);
			$GLOBALS['phpgw']->template->set_var('optionselected', $tag);
			$GLOBALS['phpgw']->template->parse('options_group','options_select',true);
		}

		$s = '<select name="ticket[category]">' . $GLOBALS['phpgw']->categories->formated_list('select','',$group,False) . '</select>';
		$GLOBALS['phpgw']->template->set_var('value_category',$s);

		unset($s);
		for($i=1; $i<=31; $i++)
		{
			$i < 10 ? $y = '0' . $i : $y = $i;
			$s .= '<option>' . $y . '</option>';
		}
		$GLOBALS['phpgw']->template->set_var('option_day','<select name="ticket[deadline][day]"><option selected></option>' . $s . '</select>');
		
		unset($s);
		for($i=1; $i<=12; $i++)
		{
			$i < 10 ? $y = '0' . $i : $y = $i;
			$s .= '<option>' . $y . '</option>';
		}
		$GLOBALS['phpgw']->template->set_var('option_month','<select name="ticket[deadline][month]"><option selected></option>' . $s . '</select>');
		
		unset($s);
		$accounts = $groups;
		$accounts->account_id = $group_id;
		$account_list = $accounts->get_list('accounts');
		while(list($key,$entry) = each($account_list))
		{
			$s .= '<option value="' . $entry['account_id'] . '" ' . $account_selected[$entry['account_lid']]
				. '>' . $entry['account_lid'] . '</option>';
		}
		$GLOBALS['phpgw']->template->set_var('value_assignedto','<select name="ticket[assignedto]">' . $s . '</select>');

		//auswahlfelder type und platform


        $platform = CreateObject('tts.subcategories',$GLOBALS['phpgw_info']['user']['account_id'],'tts');
		unset($s);
		$s = '<select name="ticket[platform]">' . $platform->formated_list('select','appandplatform','',False) . '</select>';
		$GLOBALS['phpgw']->template->set_var('value_platform',$s);
		
		
		$type = CreateObject('tts.subcategories',$GLOBALS['phpgw_info']['user']['account_id'],'tts');
		unset($s);
		$s = '<select name="ticket[type]">' . $type->formated_list('select','appandtype','',False) . '</select>';
		$GLOBALS['phpgw']->template->set_var('value_type',$s);
		
		//$GLOBALS['phpgw']->template->set_var('tts_account_lid','0');
		//$GLOBALS['phpgw']->template->set_var('tts_account_name',lang('None'));

		// Choose the correct priority to display
		$prority_selected[$ticket['priority']] = ' selected';
		$priority_comment[1]  = ' - '.lang('Lowest');
		$priority_comment[5]  = ' - '.lang('Medium');
		$priority_comment[10] = ' - '.lang('Highest');
		for($i=1; $i<=10; $i++)
		{
			$priority_select .= '<option value="' . $i . '">' . $i . $priority_comment[$i] . '</option>';
		}
		$GLOBALS['phpgw']->template->set_var('value_priority','<select name="ticket[priority]">' . $priority_select . '</select>');

		$GLOBALS['phpgw']->template->set_var('tts_select_options','');
		$GLOBALS['phpgw']->template->set_var('tts_new_lstcategory','');
		$GLOBALS['phpgw']->template->set_var('tts_new_lstassignto','');

		$GLOBALS['phpgw']->template->pfp('out','form');
		$GLOBALS['phpgw']->common->phpgw_footer();
	}
	else
	{
	}
?>
