<?php
	include_once(PHPGW_API_INC . '/class.sql_criteria.inc.php');
	include_once(PHPGW_API_INC . '/class.sql_entity.inc.php');

        class contact_addr_type extends sql_entity
        {
                var $map = array('addr_type_id'         => array('select'       => '',
                                                                 'criteria'     => '',
                                                                 'insert'       => '',
                                                                 'update'       => '',
                                                                 'delete'       => '',
                                                                 'sort'         => '',
                                                                 'field'        => '',
								 'type'		=> 'integer'),
                                 'addr_description'     => array('select'       => '',
                                                                 'criteria'     => '',
                                                                 'insert'       => '',
                                                                 'update'       => '',
                                                                 'delete'       => '',
                                                                 'sort'         => '',
                                                                 'field'        => 'description',
								 'type'		=> 'string'));
                
                function contact_addr_type ($ali = '', $field = '', $criteria = '')
                {
                        $this->_constructor('phpgw_contact_addr_type', 'contact_addr_type');
                        if($field)
                        {
                                $this->add_select($field);
                        }
                        if($criteria)
                        {
                                $this->add_criteria($criteria);
                        }
                        $this->set_elinks('addr_type_id', 'phpgwapi.contact_addr','addr_type');
                }

		function criteria_addr_type_id($element)
		{
			$field = $this->put_alias($element['real_field']);
			if(is_array($element['value']))
			{
				$this->_add_criteria(sql_criteria::in($field, $element['value']));
			}
			else
			{
				$this->_add_criteria(sql_criteria::equal($field, $element['value']));
			}
		}
	}
?>
