<?php
  /**************************************************************************\
  * phpGroupWare API - SQL Generator for  PostrgreSQL                        *
  * http://www.phpgroupware.org                                              *
  * This program is part of the GNU project, see http://www.gnu.org/         *
  *                                                                          *
  * Copyright 2003 Free Software Foundation, Inc.                            *
  *                                                                          *
  * Originally Written by Edgar Antonio Luna Diaz - eald at co.com.mx        *
  * Contributions from Alejadro Borges, Jonathan Alberto Rivera Gomez        *
  * Current Maintained by Edgar Antonio Luna Diaz - eald at co.com.mx        *
  * --------------------------------------------                             *
  * Development of this application was funded by http://www.sogrp.com       *
  * --------------------------------------------                             *
  *  This program is Free Software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

/* $Id: class.sql_pgsql.inc.php,v 1.1.2.4 2003/09/29 23:04:37 skwashd Exp $ */

	/**
	* Class that help to create criterias for common queries
	*
	* This class provide common methods to set, mantain, an retrive the queries to use in a query (for the where clausule).
	* @package sql
	*/
	class sql extends sql_
	{
		function sql_()
		{
		}

		function concat($elements)
		{
			$str = implode(' || ', $elements);
			return ($str)? '('.$str.')' : '';
		}

		function concat_null($elements)
		{
			$str = implode(' || ', sql::safe_null($elements));
			return ($str)? '('.$str.')' : '';
		}
		function has($field, $value)
		{
			return sql_criteria::upper($field).' ILIKE '."'%$value%'";
		}
	}
?>
